package common.matroska;

public interface MatroskaConstants {
	//EMBL Basics
	int EBML=0x1A45DFA3;
	int EBMLVersion=0x4286;
	int EBMLReadVersion=0x42F7;
	int EBMLMaxIDLength=0x42F2;
	int EBMLMaxSizeLength=0x42F3;
	int DocType=0x4282;
	int DocTypeVersion=0x4287;
	int DocTypeReadVersion=0x4285;
	
	//Global
	
	int CRC_32=0xBF;
	int Void=0xEC;
	
	//Segment
	int Segment=0x18538067;
	
	//Meta Seek Info
	int SeekHead=0x114D9B74;
	int Seek=0x4DBB;
	int SeekID=0x53AB;
	int SeekPosition=0x53AC;
	
	//Segment Information
	int Info=0x1549A966;
	int SegmentUID=0x73A4;
	int TimecodeScale=0x2AD7B1;
	int Duration=0x4489;
	int DateUTC=0x4461;
	int MuxingApp=0x4D80;
	int WritingApp=0x5741;
	int Title=0x7BA9;

	//Track
	int Tracks=0x1654AE6B;
	int TrackEntry=0xAE;
	int TrackNumber=0xD7;
	int TrackUID=0x73C5;
	int TrackType=0x83;
	int FlagLacing=0x9C;
	int FlagDefault=0x88;
	int CodecID=0x86;
	int CodecPrivate=0x63A2;
	int DefaultDuration=0x23E383;
	int Name=0x536e;
	int Language=0x22B59C;
	int FlagEnabled=0xB9;
	int FlagForced=0x55AA;
	int MinCache=0x6DE7;
	int TrackTimecodeScale=0x23314F;
	int MaxBlockAdditionID=0x55EE;
	int CodecDecodeAll=0xAA;
	
	
	//Video
	int Video=0xE0;
	int PixelWidth=0xB0;
	int PixelHeight=0xBA;
	int DisplayWidth=0x54B0;
	int DisplayHeight=0x54BA;
	int DisplayUnit=0x54b2;
	int FlagInterlaced=0x9A;
	
	//Audio
	int Audio=0xE1;
	int SamplingFrequency=0xB5;
	int Channels=0x9F;
	
	//Content Encoding
	int ContentEncodings=0x6d80;
	int ContentEncoding=0x6240;
	int ContentCompression=0x5034;
	int ContentCompAlgo=0x4254;
	int ContentCompSettings=0x4255;
	
	//Cluster
	int Cluster=0x1F43B675;
	int Timecode=0xE7;
	int BlockGroup=0xA0;
	int Block=0xA1;
	int ReferenceBlock=0xFB;
	int SimpleBlock=0xA3;
	
	//Chapters
	int Chapters=0x1043A770;
	int EditionEntry=0x45B9;
	int EditionFlagHidden=0x45BD;
	int EditionFlagDefault=0x45DB;
	int EditionUID=0x45BC;
	int ChapterAtom=0xB6;
	int ChapterUID=0x73C4;
	int ChapterTimeStart=0x91;
	int ChapterFlagHidden=0x98;
	int ChapterFlagEnabled=0x4598;
	int ChapterDisplay=0x80;
	int ChapString=0x85;
	int ChapLanguage=0x437C;
	int ChapterTrack=0x8f;
	int ChapterProcess=0x80;
	//Cues
	int Cues=0x1C53BB6B;
	int CuePoint=0xBB;
	int CueTime=0xB3;
	int CueTrackPositions=0xB7;
	int CueTrack=0xF7;
	int CueClusterPosition=0xF1;
}
