package muxer.filter;

import java.io.IOException;

import muxer.MuxFilter;

import common.StatusI;
import common.StreamDescriptor;
import common.packet.Packet;

import demux.ts.TsRawPacketPart;

public class RaggedRawStreamMuxFilter extends MuxFilter {
	private TsRawPacketPart headers[][];
	
	public int getPosition() {
		return MuxFilter.POSITION_PRE_BUFFER;
	}
	
	public RaggedRawStreamMuxFilter(TsRawPacketPart headers[][]) {
		this.headers=headers;
	}
	
	public int addPacket(Packet packet) throws IOException {
		int rc=StatusI.CONTINUE;
		
		TsRawPacketPart part=(TsRawPacketPart)packet.getPayload();
		if (part.getTsInfo().pidStart) {
			Integer pid=Integer.valueOf(part.getTsInfo().pid);
			StreamDescriptor sd=muxManager.getMuxedStreamDescriptorMap().get(pid);
			if (sd!=null && sd.getClassification()==StreamDescriptor.CLASSIFICATION_VIDEO) {
				for (int i=0,count=0;i<headers.length && rc==StatusI.CONTINUE;i++) {
					for (int j=0;j<headers[i].length && rc==StatusI.CONTINUE;j++) {
						Packet tmpPacket=new Packet(headers[i][j].getTsInfo().pid, -100 + count);
						tmpPacket.setPayload(headers[i][j]);
						rc=super.addPacket(tmpPacket);
					}
				}
				rc=super.addPacket(packet);
				muxManager.remove(this);
			}
		}
		return rc;
	}
}
